## gs-ioprio gs-ioprio |

## Functions

void | gs_ioprio_set ()

## Description

## Functions

### gs_ioprio_set ()

    void
    gs_ioprio_set (gint priority);

Set the I/O priority of the current thread using the ``ioprio_set()`` syscall.

The `priority` is quantised before being passed to the kernel.

This function may fail if the process doesn’t have permission to change its I/O priority to the given value. If so, a warning will be printed, as the quantised priority values are chosen so they shouldn’t typically require permissions to set.

#### Parameters

priority | I/O priority, with higher numeric values indicating lower priority; use `G_PRIORITY_DEFAULT` as the default |